Ubuntu

gnometris doesn't display the game area

Reported by Vicente Ruiz on 2009-09-12
218
This bug affects 47 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Medium
Unassigned
gnome-games (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: gnome-games

When I run gnometris I can see:

$ gnometris

(gnometris:7026): ClutterGLX-CRITICAL **: Unable to make the stage window 0x520003c the current GLX drawable

(gnometris:7026): ClutterGLX-CRITICAL **: Unable to make the stage window 0x5200057 the current GLX drawable

You can see the attached image for more information. More info:

$ dpkg -l gnometris
Desired=Unknown/Install/Remove/Purge/Hold
| Estado=No/Instalado/Config-files/Desempaquetado/Fallo-config/Medio-inst/espera-disparo/pendiente-disparo
|/ Err?=(ninguno)/Retenido/Requiere-reinst/X=ambos problemas (Estado,Err: mayúsc.=malo)
||/ Nombre Versión Descripción
+++-==============-==============-============================================
ii gnometris 1:2.27.92-0ubu Falling blocks game

ProblemType: Bug
Architecture: amd64
Date: Sat Sep 12 15:57:47 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx wl
Package: gnometris 1:2.27.92-0ubuntu1
ProcEnviron:
 PATH=(custom, no user)
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
SourcePackage: gnome-games
Uname: Linux 2.6.31-10-generic x86_64

Vicente Ruiz (uve) wrote :

Hi, I am the upstream maintainer of Gnometris. This appears to be a bug in fglrx. The critical warnings are harmless, as far as I know--I get them they do not cause any issues. Can you try without compositing window manager? I think that fglrx is failing to render OpenGL while compositing.

Changed in gnome-games (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Serge (serge-1994) wrote :

The game area is rendered, sort of. When you start a new game it will flicker and flash and do all sorts of nasty stuff.

Serge (serge-1994) wrote :

The game works fine in TWM, Metacity, and xfwm4. This appears to be a bug in compiz.

Jeremy (jeremy127) wrote :

confirming - I use fglrx, and the bug only appears for me when using desktop effects (compositing).

This is a bug in fglrx, not Gnometris (or Clutter). It works fine on Intel and NVidia.

Serge (serge-1994) wrote :

But it only happens in kramic koala not earlier releases

Yes, 2.28 is the first release with Clutter.

On Oct 5, 2009 7:30 PM, "Serge" <email address hidden> wrote:

But it only happens in kramic koala not earlier releases

-- gnometris doesn't display the game area
https://bugs.launchpad.net/bugs/428396 You received thi...

gavintlgold (puttabutta) wrote :

I've got the exact same problem. I was impressed by the Clutter graphics but saddened to find out they only worked with Metacity.

amd64 Karmic Koala, with ATI proprietary fgrlx driver.

gavintlgold (puttabutta) wrote :

It's unfortunate that this happens, but any way to disable the clutter graphics while desktop effects are running until the fgrlx bug is fixed? As it is, it's unplayable with standard Karmic settings, and a new user would be stumped.

The open source driver uses DRI2 and is not affected by fglrx's
shortcomings. I would recommend the open source radeon driver.

On Sat, Oct 17, 2009 at 8:48 PM, gavintlgold <email address hidden> wrote:

> It's unfortunate that this happens, but any way to disable the clutter
> graphics while desktop effects are running until the fgrlx bug is fixed?
> As it is, it's unplayable with standard Karmic settings, and a new user
> would be stumped.
>
> --
> gnometris doesn't display the game area
> https://bugs.launchpad.net/bugs/428396
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gnome-games” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gnome-games
>
> When I run gnometris I can see:
>
> $ gnometris
>
> (gnometris:7026): ClutterGLX-CRITICAL **: Unable to make the stage window
> 0x520003c the current GLX drawable
>
> (gnometris:7026): ClutterGLX-CRITICAL **: Unable to make the stage window
> 0x5200057 the current GLX drawable
>
> You can see the attached image for more information. More info:
>
> $ dpkg -l gnometris
> Desired=Unknown/Install/Remove/Purge/Hold
> |
> Estado=No/Instalado/Config-files/Desempaquetado/Fallo-config/Medio-inst/espera-disparo/pendiente-disparo
> |/ Err?=(ninguno)/Retenido/Requiere-reinst/X=ambos problemas (Estado,Err:
> mayúsc.=malo)
> ||/ Nombre Versión Descripción
>
> +++-==============-==============-============================================
> ii gnometris 1:2.27.92-0ubu Falling blocks game
>
> ProblemType: Bug
> Architecture: amd64
> Date: Sat Sep 12 15:57:47 2009
> DistroRelease: Ubuntu 9.10
> NonfreeKernelModules: fglrx wl
> Package: gnometris 1:2.27.92-0ubuntu1
> ProcEnviron:
> PATH=(custom, no user)
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
> SourcePackage: gnome-games
> Uname: Linux 2.6.31-10-generic x86_64
>

gavintlgold (puttabutta) wrote :

Though the open source driver is good, it is unfortunately very slow compared to the proprietary driver (to the point where flash videos in full screen are not watchable).

logari81 (logari81) wrote :

I have the same problem on karmic with the radeon (opensource) driver and a Mobility Radeon X700 card.

Enabling KMS and subsequently dri2 solves the problem, i.e. the game area is visible again. However a similar message still comes up:

(gnometris:1852): ClutterGLX-CRITICAL **: Unable to make the stage window 0x3a0002d the current GLX drawable

Ubuntu should be shipping radeon with KMS and DRI2 enabled. If they aren't, that's a bug.

Nick Glynn (exosyst) wrote :

Happens to me as well. Sorry about chiming in with a "me too" but I can only say that it is definitely compiz only (metacity is fine without compositing) and this is a HP notebook with ATI Radeon graphics.

Ahmed Harthi (ahmedharthe) wrote :

How can we make sure that KMS and DRI2 are disabled ?

Jason D. Clinton wrote on 2009-10-23:
>Ubuntu should be shipping radeon with KMS and DRI2 enabled. If they aren't, that's a bug.

geo (geomorillo) wrote :

ok same problem flickering game area etc etc when are you gonna fix it??

Ubuntu must use the open source Radeon DRI2 driver or ATI must support GL-on-GL. There is no other fix.

Dan Quade (danquade) wrote :

Could this be due to the Xserver no backfill patch?

I have applied this repository:
https://launchpad.net/~launchpad-weyland/+archive/xserver-nobackfill/
to resolve this bug:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186

Lionel Dricot (ploum) wrote :

I confirm that this happens with the radeon driver under metacity with compositing enabled.

morowinger (mikes-post-theme) wrote :

ok, for me (and i'm a regular user, dunno what DRI2 or KMS even means) its like this:
under the preinstalled ubuntu drivers (open source i guess) gnometris is incredible slow, can't even start a game properly.
under the drivers from system->administration->hardware drivers (named: FGLRX) the game is playable and normal speed, but everytime a new piece falls from above, the playing field disappears. you have to move the piece to get it back. if you complete a row and trigger the animation, the field disappears for a very short period, until the animation starts and it gets back.
looks like something has to happen on the field to get it back.
Version: 9.1 (karmic koala) amd64
Graphics Card: radeon hd 4500 series (at least thats what lspci is telling me)

hope i could help

I can confirm that gnometris 1:2.28.0-0ubuntu1 on Ubuntu Karmic still has graphical problems with the ATI open source drivers.

Øyvind Stegard (oyvinst) wrote :

Confirming, Gnometris 1:2.28.0-0ubuntu3 (with ClutterGLX) does not work properly when using Compiz+radeon. Ubuntu Karmic x86, using latest radeon GIT snapshot from master, ATI X1400.

ahmed (viva-amego) wrote :

i also have the same problem when i use compiz window manger

RomeReactor (romereactor) wrote :

Still happening with Quadrapssel an Lightsoff in Lucid x86 with Compiz enabled and nomodeset, though Lightsoff does not leave any terminal output. In both cases starting a new game from the application menu restores game area visibility.

RomeReactor (romereactor) wrote :

More details:

Quadrapassel 1:2.29.1:2.29.91-0ubuntu2, Litghtosff 1:2.29.91-0ubuntu2, xserver-xorg-video-radeon 1:6.12.191-1ubuntu2, ATI Radeon X1650 PRO AGP, Lucid Beta 1

Kevin Williams (bthylafh) wrote :

Still happening as of 22 April with latest everything, Lucid AMD64, Radeon 4850 with fglrx.

cosechy (cosechy) wrote :

if you do not have a fix or do not want to fix, please do not install such games by default anymore.

almost nobody who has the ability to fix will play it, right?

cosechy (cosechy) wrote :

it is frustrating to find such an obvious bug, which makes me completely unable to use this software (and i had never prepend to install it by myself, and the bug was found before release).
you really never care about user experience.

mark ubuntu as "do not support ati graphic card" if you do not want to do it.

John Stowers (nzjrs) wrote :

same problem here with intel 965 chipset on Ubuntu Lucid, fresh install. The gnometris window takes about 15 seconds to show. Runs like bollocks and is unplayable.

Further described;
http://swiss.ubuntuforums.org/showthread.php?t=1461146

meow81 (whocares) wrote :

quadrapassel too slow (unplayable) with ati opensource drivers and compiz DISABLED ,i have ati hd4670 ,what i must to do?

IRQ's not enabled, falling back to busy waits: 2 0

(quadrapassel:3138): ClutterGLX-CRITICAL **: Unable to make the stage window 0x2800040 the current GLX drawable

(quadrapassel:3138): ClutterGLX-CRITICAL **: Unable to make the stage window 0x280005d the current GLX drawable

meow81 (whocares) wrote :

in ubuntu lucid, compiz is disabled andi use metacity

According to the upstream maintainer (see comment #2), this is not an issue in the game itself, but rather in fglrx. I am adding the fglrx-installer, so that we can get some additional insight into this issue.

Changed in gnome-games (Ubuntu):
status: Incomplete → Invalid

 Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here.

The game is installed by default in Ubuntu. The name has changed from Gnometris to Quadrapssel, however, this issue still exists for those users with an ATI video card.

Thanks for taking the time to make Ubuntu better!

Changed in fglrx-installer (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Bryce Harrington (bryce) on 2010-06-11
tags: added: karmic
John Baptist (jepst79) wrote :

I get these messages as well, however the game does not start at all. I am using the Nouveau drivers on an Nvidia card. The game works fine with the proprietary drivers.

(quadrapassel:7891): ClutterGLX-CRITICAL **: Unable to make the stage window 0x8200028 the current GLX drawable

(quadrapassel:7891): ClutterGLX-CRITICAL **: Unable to make the stage window 0x8200042 the current GLX drawable

This might be the same as bug 529479?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers